## obs-scene-tree-view 0.1.5

=== CMakeLists.txt ===
set(PROJECT_NAME "obs_scene_tree_view")
set(HEADER_DIRECTORY "obs_scene_tree_view")

set(NAMESPACE_NAME "${PROJECT_NAME}")

set(LIBRARY_NAME "${PROJECT_NAME}")
set(EXECUTABLE_NAME "${PROJECT_NAME}Exec")
set(TEST_NAME "${PROJECT_NAME}Tests")

set(LIB_EXPORT_NAME "${LIBRARY_NAME}Targets")
set(LIB_CONFIG_NAME "${LIBRARY_NAME}Config")
set(LIB_VERSION_NAME "${LIB_CONFIG_NAME}Version")

cmake_minimum_required(VERSION 3.20)
project("${PROJECT_NAME}" VERSION 0.1.5)

if(NOT DEFINED BUILD_IN_OBS)
		set(BUILD_IN_OBS OFF)
endif()

find_package(Qt6 REQUIRED COMPONENTS Widgets)

if(NOT ${BUILD_IN_OBS})
		set(CMAKE_CXX_STANDARD 20)

		find_package(libobs REQUIRED)
		find_package(obs-frontend-api REQUIRED)

		if(NOT DEFINED LIBOBS_PLUGIN_DESTINATION)
				set(LIBOBS_PLUGIN_DESTINATION "lib/obs-plugins")
		endif()

		if(NOT DEFINED LIBOBS_PLUGIN_DATA_DESTINATION)
				set(LIBOBS_PLUGIN_DATA_DESTINATION "share/obs/obs-plugins")
		endif()

		set(OBS_PLUGIN_LIB_DIR "${LIBOBS_PLUGIN_DESTINATION}" CACHE PATH "Path to obs plugins (relative to CMAKE_INSTALL_PREFIX)")
		set(OBS_PLUGIN_DATA_DIR "${LIBOBS_PLUGIN_DATA_DESTINATION}" CACHE PATH "Path to scene tree view data dir (relative to CMAKE_INSTALL_PREFIX)")

		if(WIN32)
				message(WARNING "Building ${PROJECT_NAME} outside of OBS is currently not supported")
		endif()
endif()

if(NOT TARGET OBS::obs-frontend-api)
	add_library(OBS::obs-frontend-api ALIAS obs-frontend-api)
endif()

set(LIB_SRC_FILES
		obs_scene_tree_view/obs_scene_tree_view.cpp
		obs_scene_tree_view/stv_item_model.cpp
		obs_scene_tree_view/stv_item_view.cpp
)


##########################################
## Version
configure_file(cmake/version.h.in "${CMAKE_CURRENT_BINARY_DIR}/include/${HEADER_DIRECTORY}/version.h" @ONLY)


##########################################
## Qt6 UI
set(CMAKE_AUTOUIC_SEARCH_PATHS ${CMAKE_AUTOUIC_SEARCH_PATHS} "${CMAKE_CURRENT_SOURCE_DIR}/forms")
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)


##########################################
## Library
add_library(${LIBRARY_NAME} SHARED ${LIB_SRC_FILES} ${VT_UI_HEADERS})
add_library("${NAMESPACE_NAME}::${LIBRARY_NAME}" ALIAS ${LIBRARY_NAME})
target_compile_options(${LIBRARY_NAME} PUBLIC $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>:-Wall -Wextra>)

set_target_properties(${LIBRARY_NAME} PROPERTIES PREFIX "")

target_include_directories(${LIBRARY_NAME}
		PUBLIC
				"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
				"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
				"$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"

		PRIVATE
)

target_link_libraries(${LIBRARY_NAME}
		PUBLIC
				OBS::libobs
				OBS::obs-frontend-api
				Qt6::Widgets

		PRIVATE
)


##########################################
## Install files
if(${BUILD_IN_OBS})
		install_obs_plugin_with_data(${LIBRARY_NAME} data)
else()
		install(TARGETS ${LIBRARY_NAME}
				EXPORT ${LIB_EXPORT_NAME}
				LIBRARY DESTINATION "${OBS_PLUGIN_LIB_DIR}"
				ARCHIVE DESTINATION "${OBS_PLUGIN_LIB_DIR}")

		install(DIRECTORY "data/locale"
				DESTINATION "${OBS_PLUGIN_DATA_DIR}/${PROJECT_NAME}")
endif()

=== debian/changelog ===
obs-scene-tree-view (0.1.5-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:57:51 -0300

obs-scene-tree-view (0.1.5-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 19:15:40 -0300

obs-scene-tree-view (0.1.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1031689)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 11:38:55 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

## obs-scene-tree-view 0.1.7

=== debian/changelog ===
obs-scene-tree-view (0.1.7-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Jan 2026 22:41:21 -0300

obs-scene-tree-view (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7.
  * debian/patches/030_ignore-VerticalCanvas.patch: removed because the
    upstream applied this patch.
  * debian/rules:
      - Added a target to make blhc to ignore a false positive about
        CMakeCXXCompilerABI.cpp.
      - Created the target override_dh_auto_configure to install files in
        right place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 16:28:08 -0300

=== debian/control ===
Source: obs-scene-tree-view
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/scene-tree-folder-plugin-for-obs-studio.1500
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-tree-view
Vcs-Git: https://salsa.debian.org/debian/obs-scene-tree-view.git

Package: obs-scene-tree-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio that adds a scene tree folder dock
 This plugin allows OBS to group and organize scenes into a folder structure.
 It is possible to switch the standard scene dock provided by OBS to this
 special plugin.
 .
 It is possible to create several folders to group scenes on them.

=== debian/watch ===
Version: 5

Template: Github
Owner: DigitOtter
Project: obs_scene_tree_view

## obs-scene-tree-view 0.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,17 +11,23 @@
 set(LIB_CONFIG_NAME "${LIBRARY_NAME}Config")
 set(LIB_VERSION_NAME "${LIB_CONFIG_NAME}Version")
 
-cmake_minimum_required(VERSION 3.20)
+cmake_minimum_required(VERSION 3.25)
 project("${PROJECT_NAME}" VERSION 0.1.5)
 
 if(NOT DEFINED BUILD_IN_OBS)
 		set(BUILD_IN_OBS OFF)
 endif()
 
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
+if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/cmake/obs-dependencies.cmake")
+    include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/obs-dependencies.cmake")
+endif()
+
 find_package(Qt6 REQUIRED COMPONENTS Widgets)
 
 if(NOT ${BUILD_IN_OBS})
-		set(CMAKE_CXX_STANDARD 20)
+		set(CMAKE_CXX_STANDARD 17)
+		set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 		find_package(libobs REQUIRED)
 		find_package(obs-frontend-api REQUIRED)
@@ -42,9 +48,10 @@
 		endif()
 endif()
 
-if(NOT TARGET OBS::obs-frontend-api)
-	add_library(OBS::obs-frontend-api ALIAS obs-frontend-api)
-endif()
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
+
+
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)
 
 set(LIB_SRC_FILES
 		obs_scene_tree_view/obs_scene_tree_view.cpp
@@ -70,6 +77,7 @@
 add_library(${LIBRARY_NAME} SHARED ${LIB_SRC_FILES} ${VT_UI_HEADERS})
 add_library("${NAMESPACE_NAME}::${LIBRARY_NAME}" ALIAS ${LIBRARY_NAME})
 target_compile_options(${LIBRARY_NAME} PUBLIC $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>:-Wall -Wextra>)
+target_compile_options(${LIBRARY_NAME} PRIVATE $<$<CXX_COMPILER_ID:MSVC>:/W4>)
 
 set_target_properties(${LIBRARY_NAME} PROPERTIES PREFIX "")
 
@@ -105,3 +113,5 @@
 		install(DIRECTORY "data/locale"
 				DESTINATION "${OBS_PLUGIN_DATA_DIR}/${PROJECT_NAME}")
 endif()
+
+# Include OBS dependencies configuration (sets CMAKE_PREFIX_PATH)

=== debian/changelog ===
obs-scene-tree-view (0.1.9-0ubuntu1) resolute; urgency=medium

  * New upstream fork/release 0.1.9
    - Project went dead at 0.1.7, forked.
  * d/copyright: update for new source and dates
  * d/control: Only build for source supported by obs-studio

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 16:32:37 -0800

obs-scene-tree-view (0.1.7-1build3) resolute; urgency=medium

  * No-change rebuild against obs-studio 32.0.3

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 16:20:05 -0800

obs-scene-tree-view (0.1.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:29 +1100

obs-scene-tree-view (0.1.7-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:06:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: obs-scene-tree-view
 Section: video
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
-Standards-Version: 4.7.3
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
+Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/scene-tree-folder-plugin-for-obs-studio.1500
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-tree-view
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-tree-view.git
 
 Package: obs-scene-tree-view
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
+export QT_SELECT = qt6
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
@@ -23,6 +23,13 @@
 	    fi; \
 	fi
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DLIBOBS_PLUGIN_DESTINATION=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
+                             -DLIBOBS_PLUGIN_DATA_DESTINATION=share/obs/obs-plugins
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"
+
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so
